<?php
namespace nur\sery\schema\types;

class tstring implements IType {
  static function ensure_string(&$string): void {
    if (!is_string($string)) $string = strval($string);
  }

  static function ensure_nstring(&$string): void {
    if ($string !== null) self::ensure_string($string);
  }
}
